# MovePlanet

## What's this?

Move the planet to another star system.  

## HOW TO USE

When you open the starmap, the MovePlanet UI will appear, and you can set the mapping settings for which planets to move to which star systems.  
You can't move satellites directly, but they will move with you when you move planets.  
If you load the save data after mapping, the planets will be moved.  
Disabling or uninstalling MovePlanet and then loading the save data will restore the original position.  

Please make as many backups as possible, as there is a possibility of corruption of saved data due to glitches.  

## CHANGE LOG

### v0.0.11

 - Update to game version 0.8.22.9331

### v0.0.10

 - Update to game version 0.8.22.8915

### v0.0.9

 - Update to game version 0.8.20.8092

### v0.0.8

 - Update to game version 0.8.20.7996
 - Change UI.

### v0.0.7

 - Added the ability to mark visited star systems and planets (can be disabled in config)
 - Fixed bug.

### v0.0.6

 - Added the ability to move to the first planet when Load Game if player in space (can be disabled in config)

### v0.0.5

- Added the ability to Load a Space warper on a moving Logistics vessel during a Load Game. (can be disabled in config)

### v0.0.4

 - Fixed an issue that caused an error when load twice.

### v0.0.3

 - Fixed a issue in which the destination star system was being referenced when generating veins.

### v0.0.2

 - Changed to show UI in load screen as well.  
 - Added PIN mapping.  
 - Fixed an issue where objects behind the UI could be manipulated.  

### v0.0.1

 - Publish.

## これは何？

惑星を他の星系に移動します。  

## 使い方

スターマップを開くとMovePlanetのUIが表示されるので、どの星系にどの惑星を移動するのかマッピング設定をしてください。  
衛星は直接移動できませんが、惑星を移動すると一緒に移動します。  
マッピングした後でセーブデータをロードすると惑星が移動します。  
MovePlanetを無効にするかアンインストールしてからセーブデータをロードすると元の位置になります。  

不具合によりセーブデータが壊れる可能性があるので、できるだけ多くバックアップは取ってください。  

### v0.0.11

 - ゲームバージョン0.8.22.9331への更新

### v0.0.10

 - ゲームバージョン0.8.22.8915への更新

### v0.0.9

 - ゲームバージョン0.8.20.8092への更新

### v0.0.8

 - ゲームバージョン0.8.20.7996への更新
 - UI変更

### v0.0.7

 - 訪問済み星系と惑星に印を付ける機能を追加（設定で無効にできます）
 - 不具合を修正

### v0.0.6

 - ロードの際、プレイヤーが宇宙にいたら最初の惑星に移動する機能を追加（設定で無効にできます）

### v0.0.5

 - ロードの際、移動中の物流船に空間歪曲器を搭載する機能を追加（設定で無効にできます）

### v0.0.4

 - 2回ロードするとエラーが発生する問題を修正

### v0.0.3

 - 鉱脈生成時に移動先の星系を参照していた問題を修正

### v0.0.2

 - ロード画面でもUIを表示するよう変更
 - PINのマッピングを追加
 - UIの背後にあるオブジェクトを操作できる問題を修正

## 変更履歴

### v0.0.1

 - 公開
